Index: trunk/src/Makefile.am
===================================================================
--- trunk/src/Makefile.am	(revision 6426)
+++ trunk/src/Makefile.am	(revision 6432)
@@ -2,7 +2,8 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
+include world_entities/Makefile.am
+include story_entities/Makefile.am
 
 #"-O3 -pedantic -fPIC -ffast-math -I/usr/X11R6/include"
-
 
 bin_PROGRAMS = orxonox
@@ -10,155 +11,67 @@
 orxonox_CPPFLAGS = -DIS_ORXONOX
 
-orxonox_DEPENDENCIES = lib/libORXlibs.a \
-                       util/libORXutils.a \
-                       lib/gui/gtk_gui/libORXgui.a \
-                       lib/graphics/importer/libORXimporter.a \
-                       lib/graphics/libORXgraphics.a \
-                       lib/sound/libORXsound.a \
-                       lib/event/libORXevent.a \
-                       lib/physics/libORXphysics.a \
-                       lib/particles/libORXparticles.a \
-                       lib/collision_detection/libORXcd.a \
-                       lib/graphics/spatial_separation/libORXquadtree.a \
-                       lib/parser/tinyxml/libtinyxml.a \
-                       lib/parser/ini_parser/libIniParser.a \
-                       lib/gui/gl_gui/libORXglgui.a \
-                       lib/shell/libORXshell.a \
-                       lib/network/libORXnet.a
+orxonox_DEPENDENCIES = \
+		lib/libORXlibs.a \
+		util/libORXutils.a \
+		lib/gui/gtk_gui/libORXgui.a \
+		lib/graphics/importer/libORXimporter.a \
+		lib/graphics/libORXgraphics.a \
+		lib/sound/libORXsound.a \
+		lib/event/libORXevent.a \
+		lib/physics/libORXphysics.a \
+		lib/particles/libORXparticles.a \
+		lib/collision_detection/libORXcd.a \
+		lib/graphics/spatial_separation/libORXquadtree.a \
+		lib/parser/tinyxml/libtinyxml.a \
+		lib/parser/ini_parser/libIniParser.a \
+		lib/gui/gl_gui/libORXglgui.a \
+		lib/shell/libORXshell.a \
+		lib/network/libORXnet.a
 
 orxonox_LDADD = util/libORXutils.a \
-                lib/collision_detection/libORXcd.a \
-                lib/libORXlibs.a \
-                lib/gui/gtk_gui/libORXgui.a \
-                lib/graphics/importer/libORXimporter.a \
-                lib/graphics/libORXgraphics.a \
-                lib/sound/libORXsound.a \
-                lib/event/libORXevent.a \
-                lib/physics/libORXphysics.a \
-                lib/particles/libORXparticles.a \
-                lib/graphics/spatial_separation/libORXquadtree.a \
-                lib/parser/tinyxml/libtinyxml.a \
-                lib/parser/ini_parser/libIniParser.a \
-                lib/gui/gl_gui/libORXglgui.a \
-                lib/shell/libORXshell.a \
-                lib/network/libORXnet.a \
-                $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
+		\
+		lib/collision_detection/libORXcd.a \
+		\
+		lib/libORXlibs.a \
+		lib/gui/gtk_gui/libORXgui.a \
+		lib/graphics/importer/libORXimporter.a \
+		lib/graphics/libORXgraphics.a \
+		lib/sound/libORXsound.a \
+		lib/event/libORXevent.a \
+		lib/physics/libORXphysics.a \
+		lib/particles/libORXparticles.a \
+		lib/graphics/spatial_separation/libORXquadtree.a \
+		lib/parser/tinyxml/libtinyxml.a \
+		lib/parser/ini_parser/libIniParser.a \
+		lib/gui/gl_gui/libORXglgui.a \
+		lib/shell/libORXshell.a \
+		lib/network/libORXnet.a \
+		$(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
 
-orxonox_SOURCES = orxonox.cc \
-                  story_entities/story_entity.cc \
-                  story_entities/campaign.cc \
-                  story_entities/campaign_data.cc \
-                  story_entities/game_world.cc \
-                  story_entities/game_world_data.cc \
-                  story_entities/single_player_world.cc \
-                  story_entities/single_player_world_data.cc \
-                  story_entities/multi_player_world.cc \
-                  story_entities/multi_player_world_data.cc \
-                  world_entities/world_entity.cc \
-                  world_entities/camera.cc \
-                  world_entities/playable.cc \
-                  world_entities/player.cc \
-                  world_entities/npcs/npc.cc \
-                  world_entities/npcs/npc_test1.cc \
-                  world_entities/npcs/npc_test.cc \
-                  world_entities/environment.cc \
-                  world_entities/skysphere.cc \
-                  world_entities/skybox.cc \
-                  world_entities/terrain.cc \
-                  world_entities/satellite.cc \
-                  world_entities/character_attributes.cc \
-                  world_entities/test_entity.cc \
-                  world_entities/weapons/weapon_manager.cc \
-                  world_entities/weapons/weapon.cc \
-                  world_entities/weapons/projectile.cc \
-                  world_entities/weapons/test_gun.cc \
-                  world_entities/weapons/turret.cc \
-                  world_entities/weapons/ground_turret.cc \
-                  world_entities/weapons/aiming_turret.cc \
-                  world_entities/weapons/targeting_turret.cc \
-                  world_entities/weapons/cannon.cc \
-                  world_entities/weapons/test_bullet.cc \
-                  world_entities/weapons/rocket.cc \
-                  world_entities/weapons/guided_missile.cc \
-                  world_entities/weapons/laser.cc \
-                  world_entities/weapons/aim.cc \
-                  world_entities/weapons/bomb.cc \
-                  world_entities/weapons/crosshair.cc \
-                  world_entities/power_ups/power_up.cc \
-                  world_entities/power_ups/turret_power_up.cc \
-                  world_entities/power_ups/laser_power_up.cc \
-                  world_entities/power_ups/weapon_power_up.cc \
-                  world_entities/power_ups/param_power_up.cc \
-                  world_entities/space_ships/space_ship.cc \
-                  world_entities/space_ships/helicopter.cc \
-                  world_entities/creatures/md2_creature.cc \
-                  world_entities/spawning_point.cc \
-                  subprojects/benchmark.cc
+orxonox_SOURCES = \
+		$(WorldEntities_SOURCES_) \
+		$(StoryEntities_SOURCES_) \
+		orxonox.cc \
+		subprojects/benchmark.cc
 
-noinst_HEADERS = orxonox.h \
-                 ability.h \
-                 defs/message_structures.h \
-                 story_entities/story_entity.h \
-                 story_entities/story_def.h \
-                 story_entities/campaign.h \
-                 story_entities/campaign_data.h \
-                 story_entities/game_world.h \
-                 story_entities/game_world_data.h \
-                 story_entities/single_player_world.h \
-                 story_entities/single_player_world_data.h \
-                 story_entities/multi_player_world.h \
-                 story_entities/multi_player_world_data.h \
-                 world_entities/world_entity.h \
-                 world_entities/camera.h \
-                 world_entities/extendable.h \
-                 world_entities/playable.h \
-                 world_entities/player.h \
-                 world_entities/npcs/npc.h \
-                 world_entities/npcs/npc_test.h \
-                 world_entities/npcs/npc_test1.h \
-                 world_entities/environment.h \
-                 world_entities/skysphere.h \
-                 world_entities/skybox.h \
-                 world_entities/terrain.h \
-                 world_entities/satellite.h \
-                 world_entities/character_attributes.h \
-                 world_entities/test_entity.h \
-                 world_entities/weapons/weapon_manager.h \
-                 world_entities/weapons/weapon.h \
-                 world_entities/weapons/projectile.h \
-                 world_entities/weapons/test_gun.h \
-                 world_entities/weapons/cannon.h \
-                 world_entities/weapons/turret.h \
-                 world_entities/weapons/aiming_turret.h \
-                 world_entities/weapons/targeting_turret.h \
-                 world_entities/weapons/test_bullet.h \
-                 world_entities/weapons/rocket.h \
-                 world_entities/weapons/guided_missile.h \
-                 world_entities/weapons/laser.h \
-                 world_entities/weapons/aim.h \
-                 world_entities/weapons/bomb.h \
-                 world_entities/weapons/crosshair.h \
-                 world_entities/power_ups/power_up.h \
-                 world_entities/power_ups/turret_power_up.h \
-                 world_entities/power_ups/laser_power_up.h \
-                 world_entities/power_ups/param_power_up.h \
-                 world_entities/power_ups/weapon_power_up.h \
-                 world_entities/space_ships/space_ship.h \
-                 world_entities/space_ships/helicopter.h \
-                 world_entities/creatures/md2_creature.h \
-                 world_entities/spawning_point.h \
-                 defs/stdincl.h \
-                 defs/stdlibincl.h \
-                 defs/sdlincl.h \
-                 defs/glincl.h \
-                 defs/alincl.h \
-                 defs/comincl.h \
-                 defs/confincl.h \
-                 defs/error.h \
-                 defs/debug.h \
-                 defs/globals.h \
-                 defs/compiler.h \
-                 defs/class_id.h \
-                 subprojects/benchmark.h
+noinst_HEADERS = \
+		$(WorldEntities_HEADERS_) \
+		$(StoryEntities_HEADERS_) \
+		orxonox.h \
+		ability.h \
+		defs/message_structures.h \
+		defs/stdincl.h \
+		defs/stdlibincl.h \
+		defs/sdlincl.h \
+		defs/glincl.h \
+		defs/alincl.h \
+		defs/comincl.h \
+		defs/confincl.h \
+		defs/error.h \
+		defs/debug.h \
+		defs/globals.h \
+		defs/compiler.h \
+		defs/class_id.h \
+		subprojects/benchmark.h
 
 
@@ -170,5 +83,7 @@
              proto/proto_world_entity.h \
              proto/proto_world_entity.cc \
-             defs/include_paths.am
+             defs/include_paths.am \
+             world_entities/Makefile.am \
+             story_entities/Makefile.am
 
 if SUB_PROJECTS
